--- /dev/null
+# Prometheus Cron file now made with 5% more love
+# (thanks to Danny for suggestion)
+
+0 0,1,7-23 * * * root nice /usr/sbin/prometheus -p 1>/dev/null
+0 2 * * * root /root/sbin/prometheus 1>/dev/null
--- /dev/null
+#!/bin/sh
+EXEFILE=/usr/sbin/prometheus
+
+case "$1" in
+ start)
+ $EXEFILE -n
+ ;;
+ stop)
+ $EXEFILE -f
+ ;;
+ kill)
+ $EXEFILE -9
+ ;;
+ restart|force-reload)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|kill}" >&2
+ exit 1
+ ;;
+esac
#==========================================================================
#Filename of /etc/hosts - style IP address configuration file
#--------------------------------------------------------------------------
-hosts /etc/prometheus.hosts
+hosts /etc/prometheus/hosts
#==========================================================================
#Keywords found in /etc/host comments - syntax KEYWORD-MIN-MAX
#Eg.: 192.168.1.2 mypc #via-prometheus-256-512
char *mark="MARK";\r
char *mark_iptables="MARK --set-mark ";\r
int dry_run=0; /* preview - use puts() instead of system() */\r
-char *config="/etc/prometheus.conf"; /* main configuration file */\r
-char *hosts="/etc/hosts"; /* line bandwidth definition file */\r
+char *config="/etc/prometheus/prometheus.conf"; /* main configuration file */\r
+char *hosts="/etc/prometheus/hosts"; /* line bandwidth definition file */\r
char *tc="/sbin/tc"; /* requires tc with HTB support */\r
char *iptables="/usr/sbin/iptables"; /* requires iptables utility */\r
char *iptablessave="/usr/sbin/iptables-save"; /* new */\r
# Prometheus Cron file now made with 5% more love
# (thanks to Danny for suggestion)
-0 0,1,7-23 * * * root nice /root/qos/prometheus -p 1>/dev/null
-0 2 * * * root /root/qos/prometheus 1>/dev/null
+0 0,1,7-23 * * * root nice /usr/sbin/prometheus -p 1>/dev/null
+0 2 * * * root /root/sbin/prometheus 1>/dev/null